> For the complete documentation index, see [llms.txt](https://developers.citrusad.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.citrusad.com/integration/reference/report-an-order.md).

# Report an order

{% hint style="info" %}
Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view [this page](https://help.citrusad.com/retail-media-interface/integration/integration/report-an-order) in the new Integration APIs space of our documentation.
{% endhint %}

## POST /orders

> Report an order

```json
{"openapi":"3.1.0","info":{"title":"integration","version":"1"},"servers":[{"url":"https://integration-BASE-URL.citrusad.com/v1/"}],"security":[{"sec0":[]}],"components":{"securitySchemes":{"sec0":{"in":"header","name":"Authorization","type":"apiKey"}}},"paths":{"/orders":{"post":{"deprecated":false,"description":"","operationId":"report-an-order","requestBody":{"content":{"application/json":{"schema":{"properties":{"orders":{"items":{"properties":{"id":{"description":"The order ID in the retailer's site. If not provided it is generated by CitrusAd in the response.","type":"string"},"orderDate":{"description":"This is the date or the date and time of the order. This must be in the format of ISO-8601 RFC 3339 standard and must be a precise, full timestamp, e.g. 2019-03-14T15:06:17+10:00","format":"date-time","type":"string"},"orderItems":{"items":{"properties":{"gtin":{"description":"The product code of the purchased product.","type":"string"},"quantity":{"description":"The quantity (units) of the product purchased.","format":"int32","type":"integer"},"regularUnitPrice":{"description":"This is regular unit price of the product in the order.  If provided, it MUST be a number.","type":"string"},"sellerId":{"description":"The unique Id of the seller. Only required if onboarding marketplace sellers. Can be left blank for non marketplace products.   There are additional requirements to integrate seller_ids, please refer to [Marketplace sellerId](https://developers.citrusad.com/integration/reference/marketplace-sellerid) for more information.","type":"string"},"totalOrderItemPriceAfterDiscounts":{"description":"This is the total price of the products with discounts. It MUST be a number, e.g. if an order item contains 3 items with a price of 2.00, the value will be 6.","type":"string"}},"required":["gtin","quantity","totalOrderItemPriceAfterDiscounts"],"type":"object"},"type":"array"},"sessionId":{"description":"Unique sessionId used for attribution. Required to be consistent between a user's session and order reporting.","type":"string"}},"type":"object"},"type":"array"}},"type":"object"}}}},"responses":{"200":{"content":{"application/json":{}},"description":"200"},"400":{"content":{"application/json":{"schema":{"properties":{"additionalInfo":{"items":{"properties":{"code":{"type":"string"},"message":{"type":"string"}},"type":"object"},"type":"array"},"message":{"type":"string"}},"type":"object"}}},"description":"400"},"401":{"content":{"text/plain":{}},"description":"401"},"403":{"content":{"text/plain":{}},"description":"403"},"404":{"content":{"text/plain":{}},"description":"404"},"429":{"content":{"text/plain":{}},"description":"429"},"500":{"content":{"text/plain":{}},"description":"500"},"502":{"content":{"text/plain":{}},"description":"502"},"503":{"content":{"text/plain":{}},"description":"503"},"504":{"content":{"text/plain":{}},"description":"504"}},"summary":"Report an order"}}}}
```
